Postman Collection
curl --request GET \
--url https://api.symmetry.com/i9/postman/collection \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symmetry.com/i9/postman/collection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symmetry.com/i9/postman/collection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"info": {
"_exporter_id": "30261958",
"_postman_id": "15656b1f-7256-4a24-a5a7-3afe8c98076c",
"name": "Symmetry I9",
"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json"
},
"item": [
{
"item": [
{
"name": "Get all employers",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers"
}
},
"response": []
},
{
"name": "Get employer by ID",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}"
}
},
"response": []
},
{
"name": "Register employer",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"name\": \"Company 1\",\n \"federalEIN\": \"98-7654321\",\n \"timezone\": \"America/New_York\",\n \"address\": {\n \"streetAddress1\": \"14350 N 87th St\",\n \"streetAddress2\": \"STE 310\",\n \"city\": \"Scottsdale\",\n \"state\": \"AZ\",\n \"zipCode\": \"85260\"\n }\n}"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers"
}
},
"response": []
},
{
"name": "Update employer",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"name\": \"Company 2\",\n \"federalEIN\": \"98-7654321\"\n}"
},
"header": [],
"method": "PATCH",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}"
}
},
"response": []
},
{
"name": "Register employer with webhook (Auth: None)",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"name\": \"Company 1\",\n \"federalEIN\": \"98-7654321\",\n \"timezone\": \"America/New_York\",\n \"address\": {\n \"streetAddress1\": \"14350 N 87th St\",\n \"streetAddress2\": \"STE 310\",\n \"city\": \"Scottsdale\",\n \"state\": \"AZ\",\n \"zipCode\": \"85260\"\n },\n \"webhook\": {\n \"callbackUrl\": \"https://client-system.example.com/callbacks/i9\",\n \"authentication\": {\n \"authType\": \"none\"\n }\n }\n}"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers"
}
},
"response": []
},
{
"name": "Register employer with webhook (Auth: Basic)",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"name\": \"Company 1\",\n \"federalEIN\": \"98-7654321\",\n \"timezone\": \"America/New_York\",\n \"address\": {\n \"streetAddress1\": \"14350 N 87th St\",\n \"streetAddress2\": \"STE 310\",\n \"city\": \"Scottsdale\",\n \"state\": \"AZ\",\n \"zipCode\": \"85260\"\n },\n \"webhook\": {\n \"callbackUrl\": \"https://client-system.example.com/callbacks/i9\",\n \"authentication\": {\n \"authType\": \"basic\",\n \"username\": \"webhook_user\",\n \"password\": \"webhook_password\"\n }\n }\n}"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers"
}
},
"response": []
},
{
"name": "Register employer with webhook (Auth: OAuth2)",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"name\": \"Company 1\",\n \"federalEIN\": \"98-7654321\",\n \"timezone\": \"America/New_York\",\n \"address\": {\n \"streetAddress1\": \"14350 N 87th St\",\n \"streetAddress2\": \"STE 310\",\n \"city\": \"Scottsdale\",\n \"state\": \"AZ\",\n \"zipCode\": \"85260\"\n },\n \"webhook\": {\n \"callbackUrl\": \"https://client-system.example.com/callbacks/i9\",\n \"authentication\": {\n \"authType\": \"oauth2\",\n \"oauth2ClientId\": \"client_123\",\n \"oauth2ClientSecret\": \"secret_456\",\n \"oauth2AuthServerUrl\": \"https://auth.example.com/oauth/token\",\n \"oauth2GrantType\": \"client_credentials\"\n }\n }\n}"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers"
}
},
"response": []
},
{
"name": "Register employer with webhook and postback (Auth: Basic)",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"name\": \"Company 1\",\n \"federalEIN\": \"98-7654321\",\n \"timezone\": \"America/New_York\",\n \"address\": {\n \"streetAddress1\": \"14350 N 87 ST\",\n \"streetAddress2\": \"STE 310\",\n \"city\": \"Scottsdale\",\n \"state\": \"AZ\",\n \"zipCode\": \"85260\"\n },\n \"webhook\": {\n \"callbackUrl\": \"https://client-system.example.com/callbacks/i9\",\n \"authentication\": {\n \"authType\": \"basic\",\n \"username\": \"webhook_user\",\n \"password\": \"webhook_password\"\n }\n },\n \"postback\": {\n \"enabled\": true,\n \"trustAllCertificates\": false,\n \"timeout\": 15,\n \"failureNotificationEmail\": \"admin@example.com\",\n \"encryption\": {\n \"enabled\": true,\n \"encryptionCertificate\": \"MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789+/==\"\n },\n \"target\": {\n \"url\": \"https://client-system.example.com/postbacks/i9\",\n \"authentication\": {\n \"authType\": \"basic\",\n \"username\": \"postback_user\",\n \"password\": \"postback_password\"\n }\n },\n \"proxy\": {\n \"enabled\": true,\n \"host\": \"192.168.1.1\",\n \"port\": 8080,\n \"authentication\": {\n \"authType\": \"basic\",\n \"username\": \"proxy_user\",\n \"password\": \"proxy_password\"\n }\n }\n }\n}"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers"
}
},
"response": []
},
{
"name": "Configure E-Verify Settings",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"companyId\": \"123456\",\n \"programAdministratorId\": \"789012\",\n \"programAdministratorFirstName\": \"John\",\n \"programAdministratorLastName\": \"Doe\",\n \"programAdministratorEmail\": \"john.doe@example.com\",\n \"programAdministratorPhone\": \"234-567-8901\",\n \"webServiceUsername\": \"everify_user\",\n \"webServicePassword\": \"everify_pwd\"\n}"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"everifySettings"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/everifySettings"
}
},
"response": []
}
],
"name": "Employer"
},
{
"item": [
{
"name": "Get all employees",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees"
}
},
"response": []
},
{
"name": "Get employee by ID",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}"
}
},
"response": []
},
{
"name": "Delete employee by ID",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "DELETE",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}"
}
},
"response": []
},
{
"name": "Generate employee access token",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}",
"generateToken"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}/generateToken"
}
},
"response": []
},
{
"name": "Get employee submissions",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}",
"submissions"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}/submissions"
}
},
"response": []
},
{
"name": "Get employee submission details by ID",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}",
"submissions",
"{{submissionId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}/submissions/{{submissionId}}"
}
},
"response": []
},
{
"name": "Register employee",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"firstName\": \"Alice\",\n \"lastName\": \"Cooper\",\n \"emailAddress\": \"alice.cooper5@example.com\",\n \"telephoneNumber\": \"480-223-4567\",\n \"address\": {\n \"zipCode\": \"85260-2662\",\n \"city\": \"Scottsdale\",\n \"streetAddress1\": \"14350 N 87th St\",\n \"streetAddress2\": \"Ste 250\",\n \"state\": \"AZ\"\n },\n \"socialSecurityNumber\": \"456-01-2785\",\n \"appliedForSsn\": false,\n \"dateOfBirth\": \"1975-03-15\",\n \"employment\": {\n \"hireDate\": \"2025-05-18\",\n \"startDate\": \"2025-06-01\",\n \"status\": \"active\",\n \"employeeDocumentOptions\": {\n \"i9RemoteCounterSignAuthorized\": true,\n \"i9RemoteReverificationAuthorized\": true\n }\n }\n}"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees"
}
},
"response": []
},
{
"name": "Update employee",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"lastName\": \"Clark\",\n \"appliedForSsn\": true,\n \"socialSecurityNumber\": null\n} "
},
"header": [],
"method": "PATCH",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}"
}
},
"response": []
},
{
"name": "Update employee - Missing SSN Validation Error",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"lastName\": \"Smith\",\n \"appliedForSsn\": false,\n \"socialSecurityNumber\": null\n} "
},
"header": [],
"method": "PATCH",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}"
}
},
"response": [
{
"_postman_previewlanguage": "json",
"body": "{\n \"errors\": [\n {\n \"field\": \"socialSecurityNumber.required\",\n \"message\": \"Social Security Number is required when applied_for_ssn is false.\",\n \"rejectedValue\": \"[REDACTED]\"\n }\n ]\n}",
"code": 400,
"cookie": [],
"header": [
{
"key": "Content-Type",
"value": "application/json"
}
],
"name": "Missing SSN Validation Error Response",
"originalRequest": {
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"lastName\": \"Smith\",\n \"appliedForSsn\": false,\n \"socialSecurityNumber\": null\n} "
},
"header": [],
"method": "PATCH",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}"
}
},
"status": "Bad Request"
}
]
},
{
"name": "Update employee - Conflicting appliedForSsn and SSN Error",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"lastName\": \"Johnson\",\n \"appliedForSsn\": true,\n \"socialSecurityNumber\": \"123-45-6789\"\n} "
},
"header": [],
"method": "PATCH",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}"
}
},
"response": [
{
"_postman_previewlanguage": "json",
"body": "{\n \"errors\": [\n {\n \"field\": \"appliedForSsn.conflict\",\n \"message\": \"Cannot have both appliedForSsn=true and socialSecurityNumber. Set socialSecurityNumber to null when appliedForSsn is true.\",\n \"rejectedValue\": \"[REDACTED]\"\n }\n ]\n}",
"code": 400,
"cookie": [],
"header": [
{
"key": "Content-Type",
"value": "application/json"
}
],
"name": "Conflicting appliedForSsn and SSN Error Response",
"originalRequest": {
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"lastName\": \"Johnson\",\n \"appliedForSsn\": true,\n \"socialSecurityNumber\": \"123-45-6789\"\n} "
},
"header": [],
"method": "PATCH",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}"
}
},
"status": "Bad Request"
}
]
},
{
"name": "Request Employee Remote Reverification",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"employees",
"{{employeeId}}",
"submissions",
"{{submissionId}}",
"requestRemoteReverification"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/employees/{{employeeId}}/submissions/{{submissionId}}/requestRemoteReverification"
}
},
"response": []
}
],
"name": "Employee"
},
{
"item": [
{
"name": "Get all admins",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins"
}
},
"response": []
},
{
"name": "Get admin by ID",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}"
}
},
"response": []
},
{
"name": "Delete admin by ID",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "DELETE",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}"
}
},
"response": []
},
{
"name": "Generate admin access token",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}",
"generateToken"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/generateToken"
}
},
"response": []
},
{
"name": "Generate link to access e-verify settings",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}",
"everifySettings",
"generateEverifySettingsUri"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/everifySettings/generateEverifySettingsUri"
}
},
"response": []
},
{
"name": "Generate direct link to employee submission page",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}",
"employees",
"{{employeeId}}",
"submissions",
"{{submissionId}}",
"generateUri"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/employees/{{employeeId}}/submissions/{{submissionId}}/generateUri"
}
},
"response": []
},
{
"name": "Generate direct link to administrator index page filtered by I-9s requiring Section 2 verification",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}",
"generatePendingCountersignUri"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/generatePendingCountersignUri"
}
},
"response": []
},
{
"name": "Generate direct link to E-Verify case index page",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}",
"everifyCases",
"generateUri"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/everifyCases/generateUri"
}
},
"response": []
},
{
"name": "Generate direct link to E-Verify single case page",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}",
"everifyCases",
"{{everifyId}}",
"generateUri"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}/everifyCases/{{everifyId}}/generateUri"
}
},
"response": []
},
{
"name": "Register admin",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"emailAddress\":\"admin@example.com\",\n \"firstName\":\"AdminFirst\",\n \"lastName\":\"AdminLast\"\n}"
},
"header": [],
"method": "POST",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins"
}
},
"response": []
},
{
"name": "Update admin",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"body": {
"mode": "raw",
"options": {
"raw": {
"language": "json"
}
},
"raw": "{\n \"lastName\": \"Weiss\" \n} "
},
"header": [],
"method": "PATCH",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"admins",
"{{adminId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/admins/{{adminId}}"
}
},
"response": []
}
],
"name": "Admin"
},
{
"item": [
{
"name": "Get all e-verify cases",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"everifyCases"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/everifyCases"
}
},
"response": []
},
{
"name": "Get e-verify case by ID",
"request": {
"auth": {
"bearer": [
{
"key": "token",
"type": "string",
"value": "{{accessToken}}"
}
],
"type": "bearer"
},
"header": [],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"{{apiVersion}}",
"employers",
"{{employerId}}",
"everifyCases",
"{{everifyId}}"
],
"raw": "{{apiDomain}}/i9/{{apiVersion}}/employers/{{employerId}}/everifyCases/{{everifyId}}"
}
},
"response": []
}
],
"name": "EVerify"
},
{
"event": [
{
"listen": "test",
"script": {
"exec": [
"var responseCode = pm.response.code;",
"if (responseCode == 200) {",
" var accessToken = pm.response.json().accessToken;",
" if (!!accessToken) {",
" pm.environment.set(\"accessToken\", accessToken);",
" }",
"} else {",
" console.log(\"Error - code: \" + responseCode);",
"}"
],
"type": "text/javascript"
}
}
],
"name": "Authentication",
"request": {
"description": "Generates an access token to I-9 API endpoints.",
"header": [
{
"key": "Accept",
"type": "text",
"value": "application/json"
},
{
"key": "api-key",
"type": "text",
"value": "{{apiKey}}"
}
],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"authentication",
"login"
],
"raw": "{{apiDomain}}/authentication/login"
}
},
"response": []
},
{
"name": "Open API Config (Swagger)",
"request": {
"header": [
{
"key": "Accept",
"type": "text",
"value": "application/yaml"
}
],
"method": "GET",
"url": {
"host": [
"{{apiDomain}}"
],
"path": [
"i9",
"docs",
"config"
],
"raw": "{{apiDomain}}/i9/docs/config"
}
},
"response": []
}
]
}Postman Collection
GET
/
postman
/
collection
Postman Collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
The response is of type string.
⌘I

